AI 146687: The maps and gtalkservice libraries were still being included in
all of the builds. Fix that.
We really need to get this generic_with_google product out of
build/target and into vendor/google, but that can come later.
BUG=1786404
Automated import of CL 146687
diff --git a/tools/check_builds.sh b/tools/check_builds.sh
old mode 100755
new mode 100644
index 599aafa..fd380dd
--- a/tools/check_builds.sh
+++ b/tools/check_builds.sh
@@ -40,6 +40,7 @@
while [ -n "$1" ]
do
rm -rf $TEST_BUILD_DIR/$PREFIX-$1
+ make PRODUCT-$(echo $1 | sed "s/-.*//" )-installclean
make -j6 PRODUCT-$1 dist DIST_DIR=$TEST_BUILD_DIR/$PREFIX-$1
if [ $? -ne 0 ] ; then
echo FAILED
@@ -74,3 +75,18 @@
compare_builds "$@"
}
+function diff_builds
+{
+ local inputs=
+ while [ -n "$1" ]
+ do
+ diff $TEST_BUILD_DIR/golden-$1/installed-files.txt $TEST_BUILD_DIR/dist-$1/installed-files.txt &> /dev/null
+ if [ $? != 0 ]; then
+ echo =========== $1 ===========
+ diff $TEST_BUILD_DIR/golden-$1/installed-files.txt $TEST_BUILD_DIR/dist-$1/installed-files.txt
+ fi
+ shift
+ done
+ build/tools/compare_fileslist.py $inputs > $TEST_BUILD_DIR/sizes.html
+}
+